<?php

/**
 * BitTools Platform | B2W - Companhia Digital
 *
 * Do not edit this file if you want to update this module for future new versions.
 *
 * @category  BitTools
 * @package   BitTools_SkyHub
 *
 * @copyright Copyright (c) 2021 B2W Digital - BitTools Platform.
 *
 * Access https://ajuda.skyhub.com.br/hc/pt-br/requests/new for questions and other requests.
 */

namespace BitTools\SkyHub\Integration\Integrator\Sales\Order;

use BitTools\SkyHub\Integration\Integrator\AbstractIntegrator;
use DateTime;

/**
 * InvoicedXml class
 */
class InvoicedXml extends AbstractIntegrator
{
    /**
     * @return \SkyHub\Api\EntityInterface\Sales\Order
     */
    protected function getEntityInterface()
    {
        return $this->apiMultipart()->order()->entityInterface();
    }

    /**
     * Send xml to skyhub
     *
     * @param string $orderId
     * @param string $volumeQty
     * @param string $pathFile
     * @param string $fileName
     * @return bool
     */
    public function sendInvoiceXml($orderId, $volumeQty, $pathFile, $fileName)
    {
        $datetime = new DateTime();
        $issueDate = $datetime->format('Y-m-d\TH:i:sP');
        $result = $this->getEntityInterface()->invoiceB2wDirect(
            $orderId,
            $volumeQty,
            $issueDate,
            $pathFile,
            $fileName
        );

        if ($result->exception() || $result->invalid()) {
            throw new \Exception($result->message());
        }

        return true;
    }
}
